<?php
/**
 * Custom header implementation
 *
 * @link https://codex.wordpress.org/Custom_Headers
 *
 * @package Mehndi Tattoo Artist
 * @subpackage mehndi_tattoo_artist
 */

function mehndi_tattoo_artist_custom_header_setup() {
    register_default_headers( array(
        'default-image' => array(
            'url'           => get_template_directory_uri() . '/assets/images/header_img.png',
            'thumbnail_url' => get_template_directory_uri() . '/assets/images/header_img.png',
            'description'   => __( 'Default Header Image', 'mehndi-tattoo-artist' ),
        ),
    ) );
}
add_action( 'after_setup_theme', 'mehndi_tattoo_artist_custom_header_setup' );

/**
 * Styles the header image based on Customizer settings.
 */
function mehndi_tattoo_artist_header_style() {
    $mehndi_tattoo_artist_header_image = get_header_image() ? get_header_image() : get_template_directory_uri() . '/assets/images/header_img.png';

    $mehndi_tattoo_artist_height     = get_theme_mod( 'mehndi_tattoo_artist_header_image_height', 350 );
    $mehndi_tattoo_artist_position   = get_theme_mod( 'mehndi_tattoo_artist_header_background_position', 'center' );
    $mehndi_tattoo_artist_attachment = get_theme_mod( 'mehndi_tattoo_artist_header_background_attachment', 1 ) ? 'fixed' : 'scroll';

    $mehndi_tattoo_artist_custom_css = "
        .header-img, .single-page-img, .external-div .box-image img, .external-div {
            background-image: url('" . esc_url( $mehndi_tattoo_artist_header_image ) . "');
            background-size: cover;
            height: " . esc_attr( $mehndi_tattoo_artist_height ) . "px;
            background-position: " . esc_attr( $mehndi_tattoo_artist_position ) . ";
            background-attachment: " . esc_attr( $mehndi_tattoo_artist_attachment ) . ";
        }

        @media (max-width: 1000px) {
            .header-img, .single-page-img, .external-div .box-image-page img,.external-div,.featured-image{
                height: 250px !important;
            }
            .box-text h2{
                font-size: 27px;
            }
        }
    ";

    wp_add_inline_style( 'mehndi-tattoo-artist-style', $mehndi_tattoo_artist_custom_css );
}
add_action( 'wp_enqueue_scripts', 'mehndi_tattoo_artist_header_style' );

/**
 * Enqueue the main theme stylesheet.
 */
function mehndi_tattoo_artist_enqueue_styles() {
    wp_enqueue_style( 'mehndi-tattoo-artist-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'mehndi_tattoo_artist_enqueue_styles' );